<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\Admin\DashboardController;
use App\Http\Controllers\Admin\ProductController;
use App\Http\Controllers\Auth\LoginController;

Route::get('/dashboard', [DashboardController::class, 'index'])->name('dashboard');
Route::get('/products', [ProductController::class, 'index'])->name('products');
Route::get('/products-details', [ProductController::class, 'productDetails'])->name('product.detail');
Route::get('/add/product', [ProductController::class, 'addProduct'])->name('add.product');
Route::get('/product/group', [ProductController::class, 'productCategory'])->name('product.category');
Route::get('/product/sub-category', [ProductController::class, 'productSubCategory'])->name('product.subcategory');
Route::get('/brand', [ProductController::class, 'brand'])->name('brand');
Route::get('/brand/category', [ProductController::class, 'brandCategory'])->name('brand.category');
Route::get('/HSN/group', [ProductController::class, 'hsnGroup'])->name('hsn.group');
Route::get('/HSN/category', [ProductController::class, 'hsnCategory'])->name('hsn.category');
Route::get('/HSN/code', [ProductController::class, 'hsnCode'])->name('hsn.code');
Route::get('/Unit-of-measurement', [ProductController::class, 'uom'])->name('uom');
Route::get('/tax/group', [ProductController::class, 'taxGroup'])->name('tax.group');
Route::get('/tax/category', [ProductController::class, 'taxCategory'])->name('tax.category');
Route::get('/tax/rate', [ProductController::class, 'taxRate'])->name('tax.rate');
Route::get('/logout', [LoginController::class, 'logout'])->name('logout');
Route::get('/orders', [ProductController::class, 'order'])->name('orders');
Route::get('/order-details', [ProductController::class, 'orderDetails'])->name('order-details');
